Package org.drinkless.tdlib

# Class TdApi.StarGiveawayWinnerOption

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarGiveawayWinnerOption

Enclosing class:
  `TdApi`

public static class TdApi.StarGiveawayWinnerOption extends TdApi.Object
Describes an option for the number of winners of a Telegram Star giveaway.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isDefault`
  True, if the option must be chosen by default.
  `int`
  `winnerCount`
  The number of users that will be chosen as winners.
  `long`
  `wonStarCount`
  The number of Telegram Stars that will be won by the winners of the giveaway.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarGiveawayWinnerOption()`
  Describes an option for the number of winners of a Telegram Star giveaway.
  `StarGiveawayWinnerOption(int winnerCount, long wonStarCount, boolean isDefault)`
  Describes an option for the number of winners of a Telegram Star giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### winnerCount

    public int winnerCount
    The number of users that will be chosen as winners.

  - ### wonStarCount

    public long wonStarCount
    The number of Telegram Stars that will be won by the winners of the giveaway.

  - ### isDefault

    public boolean isDefault
    True, if the option must be chosen by default.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarGiveawayWinnerOption

    public StarGiveawayWinnerOption()
    Describes an option for the number of winners of a Telegram Star giveaway.

  - ### StarGiveawayWinnerOption

    public StarGiveawayWinnerOption(int winnerCount, long wonStarCount, boolean isDefault)
    Describes an option for the number of winners of a Telegram Star giveaway.
    Parameters:
      `winnerCount` - The number of users that will be chosen as winners.
      `wonStarCount` - The number of Telegram Stars that will be won by the winners of the giveaway.
      `isDefault` - True, if the option must be chosen by default.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR